Problem: can't find library 'libXt.so.6'

Problem: can't find library 'libXt.so.6'

Post by Paul J. Solom » Mon, 15 Jan 1996 04:00:00



I just downloaded the precompiled version of the xdir program (I think its
filename is something like "llnxdir.tgz").  When I try to run it I get:

  $ ./xdir
  ./xdir: can't find library 'libXt.so.6'

The output from ldconfig and ldd are:

  $ /sbin/ldconfig -p | grep libXt
          40 - ELF libXtst.so.6 => /usr/X11R6/lib/libXtst.so.6.0
          41 - ELF libXt.so.6 => /usr/X11R6/lib/libXt.so.6.0

  $ ldd ./xdir
          libXt.so.6 (DLL Jump 6.0) => not found
          libX11.so.6 (DLL Jump 6.0) => not found
          libc.so.4 (DLL Jump 4.7pl4) => /lib/libc.so.4.7.2

Any light shed on this would be appreciated.

-paul.
--
    ____                  __
   / __ \ ____ _ __  __  / / ------------------------------------
  / /_/ // __ `// / / / / /   Paul J. Solomon

/_/     \__,_/ \__,_/ /_/     312/474-7688w  312/883-4662h
-----------------------------------------------------------------
            "And thus begins the WEB..." - Marillion

 
 
 

Problem: can't find library 'libXt.so.6'

Post by John Timmer » Mon, 15 Jan 1996 04:00:00



> I just downloaded the precompiled version of the xdir program (I think its
> filename is something like "llnxdir.tgz").  When I try to run it I get:

>   $ ./xdir
>   ./xdir: can't find library 'libXt.so.6'

> The output from ldconfig and ldd are:

>   $ /sbin/ldconfig -p | grep libXt
>           40 - ELF libXtst.so.6 => /usr/X11R6/lib/libXtst.so.6.0
>           41 - ELF libXt.so.6 => /usr/X11R6/lib/libXt.so.6.0

>   $ ldd ./xdir
>           libXt.so.6 (DLL Jump 6.0) => not found
>           libX11.so.6 (DLL Jump 6.0) => not found
>           libc.so.4 (DLL Jump 4.7pl4) => /lib/libc.so.4.7.2

> Any light shed on this would be appreciated.

> -paul.

Find an older distribution with a.out libs and put the required ones in :

    /usr/i486-linuxaout/lib

ie. /usr/i486-linuxaout/lib/libXt.so.6.0

...then make a symlink, ie.

ln -s  libXt.so.6.0  libXt.so.6

...done!

(...then again, you might find that your newly acquired app requires more than
libXt.so.6.0, but no problem, just throw all the required a.out stuff in that directory

Regards

 
 
 

Problem: can't find library 'libXt.so.6'

Post by Michael Harno » Mon, 15 Jan 1996 04:00:00



>I just downloaded the precompiled version of the xdir program (I think its
>filename is something like "llnxdir.tgz").  When I try to run it I get:

>  $ ./xdir
>  ./xdir: can't find library 'libXt.so.6'

>The output from ldconfig and ldd are:

>  $ /sbin/ldconfig -p | grep libXt
>      40 - ELF libXtst.so.6 => /usr/X11R6/lib/libXtst.so.6.0
>      41 - ELF libXt.so.6 => /usr/X11R6/lib/libXt.so.6.0

>  $ ldd ./xdir
>      libXt.so.6 (DLL Jump 6.0) => not found
>      libX11.so.6 (DLL Jump 6.0) => not found
>      libc.so.4 (DLL Jump 4.7pl4) => /lib/libc.so.4.7.2

>Any light shed on this would be appreciated.

>-paul.
>--
>    ____                  __
>   / __ \ ____ _ __  __  / / ------------------------------------
>  / /_/ // __ `// / / / / /   Paul J. Solomon

>/_/     \__,_/ \__,_/ /_/     312/474-7688w  312/883-4662h
>-----------------------------------------------------------------
>            "And thus begins the WEB..." - Marillion

when this drove me crazy for two hours last night it was because the
binaries i was trying to run were a.out and so i needed the a.out
versions of the libraries.

--

No Organization Whatsoever

 
 
 

1. can't find library 'libXt.so.6'

Hello,

A question from a beginner :

I always get a similar message when trying to run a X-package
Linux kernel is 1.3.18

For instance, I've downloaded Mosaic-linux-2.6.Z with Netscape (Win)
Started Linux and :
- cp /dosc/mosaic~1 /mosaic.z
- gzip -d mosaic.z

Now I have an executable file mosaic

When starting  I receive in subject mentioned error

- find / -name libXt.so.6 -print
gives me : /usr/X11R6/lib/libXt.so.6
and : /usr/i486-linux/lib/libXt.so.6

-echo $PATH says :
....:/usr/X11R6/lib/libXt.so.6

What else do I have to do ?

Groeten,

Guy
                       \\\|///
                       \ ~ ~ /

 ------------------o000--(_)--000o------------------


| Keyboard not found - Press any key to continue...
 ---------------------------------------------------

2. Q: No joke: Linux vs. Y2K

3. Help [2nd]: can't find library 'libXt.so.6'

4. Dual CPU

5. can't find library 'libXt.so.3'

6. question: schedule()

7. Error : can't find library 'libXt.so.3'

8. SunOS 5.9 newbie help

9. Metafont: can't find library 'libXt.so.6'

10. can't find library 'libXt.so.6'

11. xearth: can't find library 'libXt.so.6' even though ldconfig can

12. Help: can't find library 'libXt.so.6'

13. can't find library 'libXt.so.6